######
## Nginx config ##
######

#
include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/1_sys.conf; 

http {
  #
  include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/2_http.conf;
  
  server {
    ### CONTEXT
    root {ROOT};
    set $context_fastcgi_pass "unix:///{SOCK}";
    fastcgi_param  BX_PERSONAL_ROOT /bitrix;    
    set $staticBackend @dynamic;
    ###
    
    #
    include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/3_server_header.conf;
    #
    include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/location/bitrix_deny.conf;
    #
    include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/location/static.conf;
    #
    include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/location/php.conf;
    

    location / {
      if (!-e $request_filename){
        rewrite ^(.*)$ /bitrix/urlrewrite.php last;
      }            
      try_files $uri  @dynamic;
    }
    #
    include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/location/php_dynamic.conf;    
    #
    include /media/sysdata/in4/platform/v5/landscape/services--c/server--o/http--f/nginx/dsl/main--s/conf/location/tail.conf; 

  }

}

